FTGL 2.4.0

Data Structures | Functions
FTSimpleLayout.h File Reference
`#include <FTGL/ftgl.h>`
Include dependency graph for FTSimpleLayout.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | FTSimpleLayout
| FTSimpleLayout is a specialisation of FTLayout for simple text boxes. More...

## Functions
FTGLlayout * | ftglCreateSimpleLayout (void)
void | ftglSetLayoutFont (FTGLlayout *, FTGLfont *)
FTGLfont * | ftglGetLayoutFont (FTGLlayout *)
void | ftglSetLayoutLineLength (FTGLlayout *, const float)
float | ftglGetLayoutLineLength (FTGLlayout *)
void | ftglSetLayoutAlignment (FTGLlayout *, const int)
int | ftglGetLayoutAlignment (FTGLlayout *)
int | ftglGetLayoutAlignement (FTGLlayout *)
void | ftglSetLayoutLineSpacing (FTGLlayout *, const float)
float | ftglGetLayoutLineSpacing (FTGLlayout *)

## Function Documentation

## ◆ ftglCreateSimpleLayout()

FTGLlayout * ftglCreateSimpleLayout | ( | void |  | ) |

## ◆ ftglGetLayoutAlignement()

int ftglGetLayoutAlignement | ( | FTGLlayout * |  | ) |

## ◆ ftglGetLayoutAlignment()

int ftglGetLayoutAlignment | ( | FTGLlayout * |  | ) |

## ◆ ftglGetLayoutFont()

FTGLfont * ftglGetLayoutFont | ( | FTGLlayout * |  | ) |

## ◆ ftglGetLayoutLineLength()

float ftglGetLayoutLineLength | ( | FTGLlayout * |  | ) |

## ◆ ftglGetLayoutLineSpacing()

float ftglGetLayoutLineSpacing | ( | FTGLlayout * |  | ) |

## ◆ ftglSetLayoutAlignment()

void ftglSetLayoutAlignment | ( | FTGLlayout * | ,
|  | const int | )

## ◆ ftglSetLayoutFont()

void ftglSetLayoutFont | ( | FTGLlayout * | ,
|  | FTGLfont * | )

## ◆ ftglSetLayoutLineLength()

void ftglSetLayoutLineLength | ( | FTGLlayout * | ,
|  | const float | )

## ◆ ftglSetLayoutLineSpacing()

void ftglSetLayoutLineSpacing | ( | FTGLlayout * | ,
|  | const float | )